Protection

To add comments, please log in or register
Peeter Kiloman
31
Peeter Kiloman  
How to protect the mql files from the illegal decompilation? Can anyone in the community know how to help me with this? Any suggestions?
Sergey Golubev
Moderator
106721
Sergey Golubev  
Use Metatrader 5 (send the file to the other people on the way of ex5 compiled), and/or use MQL5 cloud protection in MetaEditor during the compilling.
Sergey Golubev
Moderator
106721
Sergey Golubev  

MQL5 Cloud Protector - from this thread: MetaTrader 5 Build 1700: Synthetic Instruments, Shared Projects and MQL5 Cloud Protector - 

MQL5: New online service MQL5 Cloud Protector has been added to provide additional protection for MQL5 programs. Protection is similar to the option used in the largest store of trading applications MetaTrader Market, where the EX5 product files submitted by sellers are additionally compiled to native code.

Now, this type of protection is available to all platform users. To protect your files, execute the following command in MetaEditor: Tools—MQL5 Cloud Protector. The only difference of MQL5 Cloud Protector from the mechanism used in the Market, is that the file is not linked to the user's computer. Protected via MQL5 Cloud Protector files can be run on any computers similar to common EX5 files.

MQL5 Cloud Protector is a secure service. Additional protection is only applied to a compiled file. The source code is not passed to the service. At the first step, a program is compiled to an EX5 file on the user's computer; after that the compiled file is sent over an encrypted channel to the service, where it is protected and returned to the user.



Major update of the MetaTrader 5 Build 1730: Synthetic Instruments, Shared Projects and MQL5 Cloud Protector
Major update of the MetaTrader 5 Build 1730: Synthetic Instruments, Shared Projects and MQL5 Cloud Protector
  • 2017.12.22
  • MetaQuotes Software Corp.
  • www.metatrader5.com
MetaTrader 5 is developing rapidly. Upon traders' requests, and in an effort to further improve our product, we have added a number of new tools and services to the platform. No such innovations will ever be implemented into MetaTrader 4. Moreover, this is only the first step in the MetaQuotes Software's new large-scale campaign, aiming in...
Peeter Kiloman
31
Peeter Kiloman  
Sergey Golubev:
Use Metatrader 5 (send the file to the other people on the way of ex5 compiled), and/or use MQL5 cloud protection in MetaEditor during the compilling.
What about MT4? Thanks anyway :)
Sergey Golubev
Moderator
106721
Sergey Golubev  

MT4?
As I know - MQL5 Cloud Protector did not work for MT4 in MetaEditor in the end of last year. But MQ promissed to extend this feature to MT4 as well ...

I can not check now ... if you have the latest MT4 build - open MetaEditor and check for MQL5 Cloud Protector button in it ...

Sergey Golubev
Moderator
106721
Sergey Golubev  
I found this article (MT4): Protect Yourselves, Developers!
Peeter Kiloman
31
Peeter Kiloman  
Sergey Golubev:

MT4?
As I know - MQL5 Cloud Protector did not work for MT4 in MetaEditor in the end of last year. But MQ promissed to extend this feature to MT4 as well ...

I can not check now ... if you have the latest MT4 build - open MetaEditor and check for MQL5 Cloud Protector button in it ...

Unfortunately my brokers (Tickmill and AVA) do not have the option to use MT5. Looks like  I have to find the new one with MT5 platform.
Peeter Kiloman
31
Peeter Kiloman  
Sergey Golubev:
I found this article (MT4): Protect Yourselves, Developers!
Thanks!
Ex Ovo Omnia
3373
Ex Ovo Omnia  

I tried that menu option in Metaeditor build 1874 on a *.mq4 source, and in fact it generates the line "protecting finished successfully". I cannot verify if the result file is protected (can anyone?), but it runs in MT4 as usually.

Edit: Unfortunately, the "protected" file does not seem to run in MT4 1090, it fails to load.

Stanislav Korotky
25181
Stanislav Korotky  
Ex Ovo Omnia:

I tried that menu option in Metaeditor build 1874 on a *.mq4 source, and in fact it generates the line "protecting finished successfully". I cannot verify if the result file is protected (can anyone?), but it runs in MT4 as usually.

Edit: Unfortunately, the "protected" file does not seem to run in MT4 1090, it fails to load.

Yes, as it's protected with the new feature you need to use latest MT4 build 1121.

Ex Ovo Omnia
3373
Ex Ovo Omnia  
Stanislav Korotky:

Yes, as it's protected with the new feature you need to use latest MT4 build 1121.

Thanks for the info.. I'd like to use the latest build, but the executable should be compatible with the currently supported builds. No real use for me until they replace the 1090 widely.

To add comments, please log in or register